push sheeet
Some checks failed
Periodic Merges (6h) / master → staging-nixos (push) Failing after 12m50s
Periodic Merges (6h) / master → staging-next (push) Failing after 12m54s
Periodic Merges (24h) / merge-base(master,staging) → haskell-updates (push) Failing after 11m54s
Periodic Merges (6h) / staging-next → staging (push) Failing after 12m13s
Periodic Merges (24h) / staging-next-25.05 → staging-25.05 (push) Failing after 13m24s
Periodic Merges (24h) / release-25.05 → staging-next-25.05 (push) Failing after 14m28s

This commit is contained in:
Dark Steveneq
2025-10-09 14:15:47 +02:00
commit 646b892680
49168 changed files with 5897842 additions and 0 deletions

File diff suppressed because it is too large Load Diff

View File

@@ -0,0 +1,45 @@
{
mkTmuxPlugin,
replaceVars,
fetchFromGitHub,
crystal,
}:
let
fingers = crystal.buildCrystalPackage rec {
format = "shards";
version = "2.5.1";
pname = "fingers";
src = fetchFromGitHub {
owner = "Morantron";
repo = "tmux-fingers";
rev = "${version}";
sha256 = "sha256-O5CfboFnl51OeOgqI2NB3MmELDeKykd5NO2d5FGXkII=";
};
shardsFile = ./shards.nix;
crystalBinaries.tmux-fingers.src = "src/fingers.cr";
postInstall = ''
shopt -s dotglob extglob
rm -rv !("tmux-fingers.tmux"|"bin")
shopt -u dotglob extglob
'';
# TODO: Needs starting a TMUX session to run tests
# Unhandled exception: Missing ENV key: "TMUX" (KeyError)
doCheck = false;
doInstallCheck = false;
};
in
mkTmuxPlugin {
inherit (fingers) version src meta;
pluginName = fingers.src.repo;
rtpFilePath = "tmux-fingers.tmux";
patches = [
(replaceVars ./fix.patch {
tmuxFingersDir = "${fingers}/bin";
})
];
}

View File

@@ -0,0 +1,41 @@
diff --git a/tmux-fingers.tmux b/tmux-fingers.tmux
index f15b509..a14e312 100755
--- a/tmux-fingers.tmux
+++ b/tmux-fingers.tmux
@@ -1,35 +1,4 @@
#!/usr/bin/env bash
-CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-
-if command -v "tmux-fingers" &>/dev/null; then
- FINGERS_BINARY="tmux-fingers"
-elif [[ -f "$CURRENT_DIR/bin/tmux-fingers" ]]; then
- FINGERS_BINARY="$CURRENT_DIR/bin/tmux-fingers"
-fi
-
-if [[ -z "$FINGERS_BINARY" ]]; then
- tmux run-shell -b "bash $CURRENT_DIR/install-wizard.sh"
- exit 0
-fi
-
-CURRENT_FINGERS_VERSION="$($FINGERS_BINARY version)"
-
-pushd $CURRENT_DIR &> /dev/null
-CURRENT_GIT_VERSION=$(cat shard.yml | grep "^version" | cut -f2 -d':' | sed "s/ //g")
-popd &> /dev/null
-
-SKIP_WIZARD=$(tmux show-option -gqv @fingers-skip-wizard)
-SKIP_WIZARD=${SKIP_WIZARD:-0}
-
-if [ "$SKIP_WIZARD" = "0" ] && [ "$CURRENT_FINGERS_VERSION" != "$CURRENT_GIT_VERSION" ]; then
- tmux run-shell -b "FINGERS_UPDATE=1 bash $CURRENT_DIR/install-wizard.sh"
-
- if [[ "$?" != "0" ]]; then
- echo "Something went wrong while updating tmux-fingers. Please try again."
- exit 1
- fi
-fi
-
-tmux run "$FINGERS_BINARY load-config"
+tmux run "@tmuxFingersDir@/tmux-fingers load-config"
exit $?

View File

@@ -0,0 +1,17 @@
{
cling = {
url = "https://github.com/devnote-dev/cling.git";
rev = "v3.0.0";
sha256 = "0mj5xvpiif1vhg4qds938p9zb5a47qzl397ybz1l1jks0gg361wq";
};
tablo = {
url = "https://github.com/hutou/tablo.git";
rev = "v0.10.1";
sha256 = "0aavacqa35y3zlrllw83bkmj27fmxph5h07ni5l0nx11w1m0l5j4";
};
xdg_base_directory = {
url = "https://github.com/tijn/xdg_base_directory.git";
rev = "60bf28dc060c221d5af52727927e92b840022eb0";
sha256 = "1sa8bw8mzsz0pbj3m8v0w1pnk1q86zjivr0jndfg77wa33ki34y0";
};
}

View File

@@ -0,0 +1,20 @@
{
mkTmuxPlugin,
thumbs,
replaceVars,
}:
mkTmuxPlugin {
inherit (thumbs) version src meta;
pluginName = thumbs.src.repo;
rtpFilePath = "tmux-thumbs.tmux";
patches = [
(replaceVars ./fix.patch {
tmuxThumbsDir = "${thumbs}/bin";
})
];
}

View File

@@ -0,0 +1,42 @@
diff --git i/tmux-thumbs.sh w/tmux-thumbs.sh
index 7e060e8..e7f0c57 100755
--- i/tmux-thumbs.sh
+++ w/tmux-thumbs.sh
@@ -1,22 +1,6 @@
#!/usr/bin/env bash
set -Eeu -o pipefail
-# Setup env variables to be compatible with compiled and bundled installations
-CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-RELEASE_DIR="${CURRENT_DIR}/target/release"
-
-THUMBS_BINARY="${RELEASE_DIR}/thumbs"
-TMUX_THUMBS_BINARY="${RELEASE_DIR}/tmux-thumbs"
-VERSION=$(grep 'version =' "${CURRENT_DIR}/Cargo.toml" | grep -o "\".*\"" | sed 's/"//g')
-
-if [ ! -f "$THUMBS_BINARY" ]; then
- tmux split-window "cd ${CURRENT_DIR} && bash ./tmux-thumbs-install.sh"
- exit
-elif [[ $(${THUMBS_BINARY} --version) != "thumbs ${VERSION}" ]]; then
- tmux split-window "cd ${CURRENT_DIR} && bash ./tmux-thumbs-install.sh update"
- exit
-fi
-
function get-opt-value() {
tmux show -vg "@thumbs-${1}" 2> /dev/null
}
@@ -35,7 +19,7 @@ function get-opt-arg() {
fi
}
-PARAMS=(--dir "${CURRENT_DIR}")
+PARAMS=(--dir @tmuxThumbsDir@)
function add-param() {
local type opt arg
@@ -50,4 +34,4 @@ add-param upcase-command string
add-param multi-command string
add-param osc52 boolean
-"${TMUX_THUMBS_BINARY}" "${PARAMS[@]}" || true
+@tmuxThumbsDir@/tmux-thumbs "${PARAMS[@]}" || true

View File

@@ -0,0 +1,45 @@
{
mkTmuxPlugin,
fetchFromGitHub,
lib,
check-jsonschema,
python3,
}:
mkTmuxPlugin {
pluginName = "tmux-which-key";
rtpFilePath = "plugin.sh.tmux";
version = "0-unstable-2024-06-08";
buildInputs = [
check-jsonschema
(python3.withPackages (ps: with ps; [ pyyaml ]))
];
postPatch = ''
substituteInPlace plugin.sh.tmux --replace-fail \
python3 "${lib.getExe (python3.withPackages (ps: with ps; [ pyyaml ]))}"
'';
preInstall = ''
rm -rf plugin/pyyaml
ln -s ${python3.pkgs.pyyaml.src} plugin/pyyaml
'';
postInstall = ''
patchShebangs plugin.sh.tmux plugin/build.py
'';
src = fetchFromGitHub {
owner = "alexwforsythe";
repo = "tmux-which-key";
rev = "1f419775caf136a60aac8e3a269b51ad10b51eb6";
hash = "sha256-X7FunHrAexDgAlZfN+JOUJvXFZeyVj9yu6WRnxMEA8E=";
};
meta = {
homepage = "https://github.com/alexwforsythe/tmux-which-key";
description = "Tmux plugin that allows users to select actions from a customizable popup menu";
license = lib.licenses.mit;
platforms = lib.platforms.unix;
maintainers = with lib.maintainers; [ novaviper ];
};
}